From eb6e812effe520cd58239b94b7d4d70f7aad1d39 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9lestin=20Matte?= <celestin.matte@gmail.com>
Date: Mon, 14 Aug 2023 12:06:57 +0200
Subject: [PATCH 2/3] gitlab-ci: bump OS and tool for checking syntax

---
 .gitlab-ci.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index d32f803..c08fac7 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -4,12 +4,12 @@ stages:
 
 validate syntax:
   stage: test
-  image: "debian:buster"
+  image: "debian:bookworm"
   before_script:
-    - apt-get update -qq && apt-get install -y -qq pep8
+    - apt-get update -qq && apt-get install -y -qq pycodestyle
   script:
     - (for X in $(find . -name "*.py") ; do cat $X | python3 -c "import sys, os; compile(sys.stdin.read(), sys.argv[1], 'exec')" $X ||exit 1 ; done)
-    - pep8 -v .
+    - pycodestyle -v .
 
 validate deployment:
   stage: deploy
-- 
2.41.0

